Bug 178981 - CVE-2007-3379 fuser(1) on x86_64 can cause an oops
Summary: CVE-2007-3379 fuser(1) on x86_64 can cause an oops
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=redhat,report...
Keywords: Security
: 450537 (view as bug list)
Depends On:
Blocks: 198694 246621
TreeView+ depends on / blocked
 
Reported: 2006-01-25 22:28 UTC by Issue Tracker
Modified: 2018-10-27 12:58 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-02 00:03:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (7.67 KB, patch)
2006-08-21 19:32 UTC, Guy Streeter
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Issue Tracker 2006-01-25 22:28:00 UTC
Escalated to Bugzilla from IssueTracker

Comment 8 Guy Streeter 2006-08-21 19:32:28 UTC
Created attachment 134591 [details]
proposed patch

This is the upstream patch that changes the behavior of the x86_64 version of
get_gate_vma().

Comment 21 RHEL Product and Program Management 2006-09-13 21:48:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 39 Jason Baron 2006-10-12 11:17:54 UTC
committed in stream U5 build 42.18. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 40 Eric Sandeen 2006-10-12 15:31:33 UTC
I've run the testcase on this new kernel for about half hour, no problems. 
Looks good.  Would probably be worth testing xen too, now.

Comment 57 Mike Gahagan 2007-02-22 22:39:41 UTC
verified using customer supplied test case in comment 7. Runs to completion on
-48, blew up within a few seconds on -42.


Comment 63 Red Hat Bugzilla 2007-05-02 00:03:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Comment 74 Issue Tracker 2007-07-05 17:29:41 UTC
Internal Status set to 'Resolved'
Status set to: Closed by Client

This event sent from IssueTracker by ehagber 
 issue 106122

Comment 79 Prarit Bhargava 2008-06-11 10:39:08 UTC
*** Bug 450537 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.